Page 1 of 1

PicShow SAM460ex problem?

PostPosted: Wed Apr 11, 2012 4:49 am
by kilaueabart
I often want to use PicShow to modify jpeg photos and save them as jpegs. To do so, I set "Save pictures as JPEG" in the options menu.

When I do a RA^H to save a hardcopy, it insists on saving as IFF. Ditto if I try RA^1 "Save as."

I thought perhaps the copy of PicShow on my SAM might be corrupt, but as of yesterday I am able to run PicShow from the hard drive out of my defunct A1. I get the same result.

Is this then some kind of SAM460 problem?

Re: PicShow SAM460ex problem?

PostPosted: Wed Apr 11, 2012 8:24 am
by thomasrapp
In order to save JPEG images PicShow needs jpeg.library, otherwise it can only save IFF.

http://os4depot.net/index.php?function= ... eg_lib.lha

Re: PicShow SAM460ex problem?

PostPosted: Thu Apr 12, 2012 4:13 am
by kilaueabart
OMG! Thanks, I had completely forgotten about jpeg.library! Copied it over, and now all is OK.

This raises another question: I have 92 files in my A1 Libs: and only 72 on the SAM. Would it be safe to copy over the ones not currently on the SAM, just in case they are libraries that I'll need for something I might use some time?

Re: PicShow SAM460ex problem?

PostPosted: Thu Apr 12, 2012 9:48 am
by Slayer
I'd be more inclined to install Snoopy in utilities and run it if something you've installed doesn't run and shows no indication of why

http://os4depot.net/index.php?function= ... snoopy.lha

What is strange (and I think maybe you should report to the creator/maintainer of this software) is that it doesn't notify you if it can't find this library - unless it's documented and wasn't implemented for some reason which could be possible? Alot of software actually reports if there is a library missing or is too old for the required selected function

Which leads me to my next point, I wouldn't use my older A1 directory of libraries unless I was sure no newer one was available online.

Further to add, an older library might prevent a library missing request but might also mask a problem that needs a newer version but there is no provision to inform the user of this, then starts the countless threads of desired help until someone says, oh, what version of blah.library are you using ;)

Re: PicShow SAM460ex problem?

PostPosted: Thu Apr 12, 2012 9:51 pm
by kilaueabart
I have Snoopy. I realized after I shut down and went to bed that I should have tried it before posting my query. I'm slow to think of it, because usually it doesn't really help me out.

I suspect that PicShow came with a readme that told me I needed jpeg.library and I just didn't keep it, although I do have the readme for Thumb in the same drawer.

I'll take your advice about not copying libraries, although they were new enough at the beginning of March not to cause any problems.

Re: PicShow SAM460ex problem?

PostPosted: Thu Apr 12, 2012 10:47 pm
by nbache
kilaueabart wrote:I'll take your advice about not copying libraries, although they were new enough at the beginning of March not to cause any problems.
Another reasone to follow this advice is that it will make sure you only install the third-party libraries you currently need for the software you use, not a lot of "cruft" - e.g. libraries you once needed for a program you never run any more.

Best regards,

Niels